Summary:	Internationalized string processing library
Name:		libidn
Version:	0.4.0
Release:	1.intergenia
License:	LGPL v2.1
Group:		Libraries
Source0:	http://josefsson.org/libidn/releases/%{name}-%{version}.tar.gz
URL:		http://www.gnu.org/software/libidn/
BuildRequires:	autoconf >= 2.57, automake >= 1.6, pkgconfig >= 0.14.0
BuildRequires:	libtool
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%define		_emacs_lispdir	%{_datadir}/emacs/site-lisp

%description
GNU Libidn is an implementation of the Stringprep, Punycode and IDNA
specifications defined by the IETF Internationalized Domain Names
(IDN) working group, used for internationalized domain names.

%package devel
Summary:	Header files for libidn library
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for libidn library.

%package static
Summary:	Static libidn library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libidn library.

%package -n emacs-libidn-pkg
Summary:	IDN support files for emacs
Group:		Applications/Editors/Emacs
Requires:	%{name} = %{version}

%description -n emacs-libidn-pkg
IDN support files for emacs.

%prep
%setup -q

# we don't want to update texinfo dir file yet
%{__perl} -pi -e 's/^install-data-am\:\ install-info-am/install-data-am\:/' doc/Makefile.in

%build
# blegh, lt incompatible with ksh - must rebuild
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_infodir}
cp doc/libidn.info $RPM_BUILD_ROOT%{_infodir}/libidn.info

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/libidn.info %{_infodir}/dir

%postun
/sbin/ldconfig

%preun
/sbin/install-info --delete %{_infodir}/libidn.info %{_infodir}/dir

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README* THANKS TODO doc/libidn.html contrib
%attr(755,root,root) %{_bindir}/idn
%attr(755,root,root) %{_libdir}/libidn.so.*.*.*
%{_mandir}/man1/idn.1*
%{_infodir}/libidn.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libidn.so
%{_libdir}/libidn.la
%{_includedir}/*.h
%{_libdir}/pkgconfig/libidn.pc
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libidn.a

%files -n emacs-libidn-pkg
%defattr(644,root,root,755)
%{_emacs_lispdir}/*.el

%changelog
* Sun Feb 29 2004 Maik Broemme <mbroemme@plusserver.de> 0.4.0-1.intergenia
- initial version
